Page MenuHomePhabricator

"Learn more on Wikimedia Commons" should take user to Wikimedia Commons
Closed, ResolvedPublic

Description

The "Learn more on Wikimedia Commons" presently does not take users to Wikimedia Commons. Given how the button is labelled, it probably should! :-)

Example: On [[mw:Help:OAuth]], when I click on the image of the dialogue box and am presented with the MediaViewer, and I scroll down and click on "Learn more on Wikimedia Commons", I am taken to [[mw:File:OAuth authorization interface.png]], despite the image being on Commons.


Version: unspecified
Severity: major
Whiteboard: gci2013

Details

Reference
bz57842

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.
bzimport set Reference to bz57842.
bzimport added a subscriber: Unknown Object (MLST).
Deskana created this task.Dec 2 2013, 3:50 PM
Qgil added a comment.Dec 10 2013, 9:56 PM

I fully agree. I was about to file this bug and I was happy seeing that I wasn't the first one finding this problematic.

Send me to Commons, please! The File page in a wiki project is the worse please to leave a user: not in the article page, neither in the actual Commons page.

Google Code-in task?

Thanks for filing this bug report, Dan.

Change 102553 had a related patch set uploaded by MarkTraceur:
Fix remote DB repos

https://gerrit.wikimedia.org/r/102553

Change 102553 merged by jenkins-bot:
Fix remote DB repos

https://gerrit.wikimedia.org/r/102553

Change 102859 had a related patch set uploaded by MarkTraceur:
Add tests for the link construction code

https://gerrit.wikimedia.org/r/102859

(In reply to comment #6)

Indeed. :-(

Change 102859 merged by jenkins-bot:
Add tests for the link construction code

https://gerrit.wikimedia.org/r/102859

I believe this got fixed in the refactor above, ONCE AND FOR ALL, with tests and everything. If that's not the case, please let me know, but I see it working on mw.org now. It's not made it to en.wp, but I may backport, it depends.

molly.white5 wrote:

(In reply to comment #9)

I believe this got fixed in the refactor above, ONCE AND FOR ALL, with tests
and everything. If that's not the case, please let me know, but I see it
working on mw.org now. It's not made it to en.wp, but I may backport, it
depends.

I just got this bug at https://en.wikipedia.org/wiki/Matthew_Gray_Gubler#mediaviewer/File:Gubler%20in%202012%202013-10-09%2000-00.jpg/0

Apart from bug 59863, this is fixed, thanks all.

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 2 2014, 8:55 AM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptJan 28 2016, 5:57 PM